List notifications
GET
/api/v1/notifications
const url = 'https://trongas.ai/api/v1/notifications';const options = {method: 'GET', headers: {'X-Api-Key': '<X-Api-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://trongas.ai/api/v1/notifications \ --header 'X-Api-Key: <X-Api-Key>'Your notifications, newest first, with total and unread counts. Fixed page size of 20. Notifications are raised by the platform — e.g. an order settling, a deposit crediting, or an automation being paused or resumed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer | string format: int32
Responses
Section titled “Responses”OK
object
items
required
Array<object>
object
id
required
string format: uuid
type
required
string
level
required
string
title
required
string
body
required
string
link
required
null | string
read
required
boolean
createdAt
required
string format: date-time
page
required
integer | string format: int32
pageSize
required
integer | string format: int32
total
required
integer | string format: int32
unread
required
integer | string format: int32
object
items
required
Array<object>
object
id
required
string format: uuid
type
required
string
level
required
string
title
required
string
body
required
string
link
required
null | string
read
required
boolean
createdAt
required
string format: date-time
page
required
integer | string format: int32
pageSize
required
integer | string format: int32
total
required
integer | string format: int32
unread
required
integer | string format: int32
Examplegenerated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "level": "example", "title": "example", "body": "example", "link": "example", "read": true, "createdAt": "2026-04-15T12:00:00Z" } ], "page": 1, "pageSize": 1, "total": 1, "unread": 1}object
items
required
Array<object>
object
id
required
string format: uuid
type
required
string
level
required
string
title
required
string
body
required
string
link
required
null | string
read
required
boolean
createdAt
required
string format: date-time
page
required
integer | string format: int32
pageSize
required
integer | string format: int32
total
required
integer | string format: int32
unread
required
integer | string format: int32
Examplegenerated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "example", "level": "example", "title": "example", "body": "example", "link": "example", "read": true, "createdAt": "2026-04-15T12:00:00Z" } ], "page": 1, "pageSize": 1, "total": 1, "unread": 1}